ErrWorldFile (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.image
Class ErrWorldFile

    java.lang.Object
      com.bbn.openmap.dataAccess.image.WorldFile
          com.bbn.openmap.dataAccess.image.ErrWorldFile

    public class ErrWorldFile

extends WorldFile

An ErrWorldFile is a World File that can't be handled for some reason. This class is used as a placeholder to let an ImageReader know there is some problem figuring out where or how to locate the associated image file.

Author:
  dietrick

Field Summary
`protected java.lang.String` | `problemMessage`

Fields inherited from class com.bbn.openmap.dataAccess.image.WorldFile
`colRot, logger, rowRot, x, xDim, y, yDim`

Constructor Summary
`ErrWorldFile(java.lang.String problemMessage)`

Method Summary
`java.lang.String` | `getProblemMessage()`
`void` | `setProblemMessage(java.lang.String problemMessage)`

Methods inherited from class com.bbn.openmap.dataAccess.image.WorldFile
`checkValidityAndGetStream, get, getColRot, getRowRot, getX, getXDim, getY, getYDim, read, setColRot, setRowRot, setX, setXDim, setY, setYDim, toString, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### problemMessage

    protected java.lang.String problemMessage

Constructor Detail

### ErrWorldFile

    public ErrWorldFile(java.lang.String problemMessage)

Method Detail

### getProblemMessage

    public java.lang.String getProblemMessage()

### setProblemMessage

    public void setProblemMessage(java.lang.String problemMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details